package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TGasIllegal;

/**
 * 违法行为档案Service接口
 * 
 * @author zehong
 * @date 2026-03-19
 */
public interface ITGasIllegalService 
{
    /**
     * 查询违法行为档案
     * 
     * @param illegalId 违法行为档案ID
     * @return 违法行为档案
     */
    public TGasIllegal selectTGasIllegalById(Long illegalId);

    /**
     * 查询违法行为档案列表
     * 
     * @param tGasIllegal 违法行为档案
     * @return 违法行为档案集合
     */
    public List<TGasIllegal> selectTGasIllegalList(TGasIllegal tGasIllegal);

    /**
     * 新增违法行为档案
     * 
     * @param tGasIllegal 违法行为档案
     * @return 结果
     */
    public int insertTGasIllegal(TGasIllegal tGasIllegal);

    /**
     * 修改违法行为档案
     * 
     * @param tGasIllegal 违法行为档案
     * @return 结果
     */
    public int updateTGasIllegal(TGasIllegal tGasIllegal);

    /**
     * 批量删除违法行为档案
     * 
     * @param illegalIds 需要删除的违法行为档案ID
     * @return 结果
     */
    public int deleteTGasIllegalByIds(Long[] illegalIds);

    /**
     * 删除违法行为档案信息
     * 
     * @param illegalId 违法行为档案ID
     * @return 结果
     */
    public int deleteTGasIllegalById(Long illegalId);
}
